MKSHORTCUT(1)

NAME
mkshortcut - create a Windows shortcut

SYNOPSIS
mkshorcut [-a ARGS] [-d DESC] [-i ICONFILE [-j INT] ] [-n NAME ] [-s norm|min|max ] [-w PATH ] [-A] [-D|-P] TARGET

OPTIONS

-a, --arguments=ARGS
    Arguments to use (see example below).

-d, --desc="DESC"
    Text for description/tooltip (defaults to POSIX path of TARGET). Note that "DESC" can contain spaces, but in that case must be enclosed in quotes.

-h, --help
    Output usage information (to stdout) and exit.

-i, --icon=ICONFILE
    Specify ICONFILE containing the icon to use for the shortcut; defaults to TARGET. ICONFILE must be a full filename, including an extension if applicable.

-j, --iconoffset=NUM
    Requires -i. Use NUM icon in ICONFILE, offset from 0. Defaults to 0.

-n, --name="NAME"
    Name to use for the shortcut file. Note that "NAME" can contain spaces, but in that case must be enclosed in quotes. The Windows extention .lnk is automatically appended to "NAME" if not present.

-s, --show=norm|min|max
    For norm, min, and max the new window will be normal, minimized, and maximized, respectively. Note that if you use the properties dialog to inspect properties of shortcuts for which you request minimized windows the dialog may indicate that normal windows will be displayed. Fortunately, that indicator is often wrong.

-w, --workingdir="PATH"
    PATH to use for the working directory (defaults to directory path of TARGET).

-v, --version
    Output version information (to stdout) and exit.

-A, --allusers
    Requires either -D or -P. Instead of using the current user's "Desktop" or "Start Menu/Programs" folders, use the "All Users" version. Has no effect on Win95 without multiple users.

-D, --desktop
    Instead of creating the shortcut relative to the current directory, create it relative to the Windows "Desktop" directory. The -A option can also be used to use the "All Users/Desktop" directory instead.

-P, --smprograms
    Instead of creating the shortcut relative to the current directory, create it relative to the Windows "Start Menu/Programs" directory. The -A option can also be used to use the "All Users/Start Menu/Programs" directory instead.

NOTES
All filename arguments must be in unix (POSIX) format, not in Windows (C:\) format. If mkshortcut encounters a syntax error, it will return an exit value of 1 and output usage information to stderr.

If you don't need any of mkshortcut's options and just want a simple link to a file or directory, you might want to just use a symbolic link with ln.

EXAMPLES
Create a shortcut to the Cygwin website in the "Start Menu/Programs" directory:

$ mkshortcut -P http://www.cygwin.com

Create a shortuct to rxvt on the "Desktop" that looks like "Internet Explorer" but really starts up an interactive bash shell:

$ mkshortcut -a '-rv -fn "FixedSys" -e /bin/bash --login -i' \
-i /c/WINNT/system32/SHELL32.DLL -j 106 -n "Internet Explorer" \
-D /bin/rxvt

COPYRIGHT
Copyright (C) 2002 Joshua Daniel Franklin

mkshortcut is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

mkshortcut is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.

See the COPYING file for full license information.

AUTHOR
Joshua Daniel Franklin, joshuadfranklin@yahoo.com

SEE ALSO
ln(1)